// test du fichier PARTICUL.INC

camera {location <8, 8, 8>
     sky <0, 1, 0>
     look_at <0, 0, 0>}

light_source {<200, 100, 400> color rgb<1, 1, 1>}

#declare PVariation = 1;
#macro M_PVariation(hauteur, initial, retour)
     #switch(hauteur)
          #range(0, 0.25)
               #declare retour = 0;
          #break
          #range(0.25, 0.75)
               #declare retour = initial * sin (radians ((hauteur - 0.25) * 2 * 180));
          #break
          #else
               #declare retour = 0;
          #break
     #end
#end
#declare EVariation = 1;
#macro M_EVariation(hauteur, initial, retour)
     #switch(hauteur)
          #range(0, 0.25)
               #declare retour = 0;
          #break
          #range(0.25, 0.75)
               #declare retour = initial - ((initial/2) * sin (radians ((hauteur - 0.25) * 2 * 180)));
          #break
          #else
               #declare retour = 0;
          #break
     #end
#end
#declare E2Variation = 1;
#macro M_E2Variation(hauteur, initial, retour)
     #switch(hauteur)
          #range(0, 0.25)
               #declare retour = 0;
          #break
          #range(0.25, 0.75)
               #declare retour = (initial/2) * sin (radians ((hauteur - 0.25) * 2 * 180));
          #break
          #else
               #declare retour = 0;
          #break
     #end
#end
#declare Forme = 1;
#declare Rayon = 5;
#declare Hauteur = 10;
#declare Nb_Couches = 80;
#declare PMax = 200;
#declare EMax = 4;
#declare E2Max = 4;
#declare Offset = 0.04;
#declare Rayon_Particule = 0.05;
#include "particul.inc"

object {
     Particules
     pigment {color rgb<0, 0, 1>}
     finish {ambient 0.75}
     rotate <0, 360 * clock, 0>
}
